# vim: set sw=4 ts=4 et nu:

Name:               burncdda
Version:            1.8.3
Release:            6.2
Summary:            Console Frontend to Burn Audio Media
Source:             http://prdownloads.sourceforge.net/burncdda/burncdda-%{version}.tar.gz
Source1:            %{name}.desktop
Patch1:             burncdda-paths.patch
URL:                http://burncdda.sourceforge.net/
Group:              Productivity/Multimedia/CD/Record
License: GPL-2.0
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
Provides:           burnCDDA = %{version}
BuildArch:          noarch
Requires:           dialog
Requires:           MPlayer
Requires:           cdrdao
Requires:           cdrecord
Requires:           flac
Requires:           mkisofs
Requires:           mp3_check
Requires:           normalize
Requires:           vorbis-tools
BuildRequires:      update-desktop-files

%description
burnCDDA is a console frontend to cdrdao, cdrecord, MPlayer, mpg321, oggdec,
mppdec, flac, normalize, and mp3_check.

It can be used to create audio CDs from an M3U playlist (the playlist format of
XMMS and amaroK) or from files inside a directory.

It supports MP3, OGG Vorbis, Musepack, FLAC, WMA, M4A, and WAV files, and it
might be the easiest way to copy an audio CD.

%prep
%setup -q
%patch1

# remove shebang from all .func files:
for f in *.func; do
    %__perl -i -n -e 'print unless $.==1 and /^#!/' "$f"
done

%build

%install
ln -vs /bin/true dialog
PATH=$PWD:$PATH \
DESTDIR="%{buildroot}" \
MANDIR="%{_mandir}" \
ETCDIR="%{_sysconfdir}" \
BINDIR="%{_bindir}" \
DATADIR="%{_datadir}" \
./install.sh 

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo DiscBurning

%files
%defattr(-,root,root)
%doc LICENSE ChangeLog
%config(noreplace) %{_sysconfdir}/burncdda.conf
%{_bindir}/burncdda
%{_datadir}/burncdda
%doc %{_mandir}/man1/burncdda.1%{ext_man}
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Dec 26 2014 obs@botter.cc
- Require /usr/bin/cdrecord instead of just cdrecord [PM-119]
* Wed Nov 13 2013 obs@botter.cc
- Buildrequire cdrkit-cdrtools-compat instead of cdrecord for > 1230
* Tue May 17 2011 pascal.bleser@opensuse.org
- initial version (1.8.3)
